Subject: Re: Feedback on the configuration I am considering

From: Keith Smith via PLUG-discuss <[email-masked]>
Date: Mon, 09 Jun 2025 08:57:24 -0700

Hi Stephen,

On 2025-06-09 06:50, Stephen Partington via PLUG-discuss wrote:
> My process was to set up a home lab server running Proxmox
> (Debian-based VMhost) to run VMs and containers. You can then offload
> much of what you want to do to that machine.

I have a Proxmox install.

> 
> You can do what you are thinking remotely, but it may be more
> expensive than you want it to be.

I'm looking at a mid range shared hosting plan that starts out @ 
$2.99/month for 36 months then it goes up to $16.50/month.

I probably will fully retire in 10 years.  Given these numbers if I save 
$1300 on my home lab I might just break even.

I can create a LAMP vm on Proxmox or VirtualBox, however that is time 
consuming.  I am a PHP developer so I really do not need much.

By using shared hosting I can offload all the Linux server admin to the 
shared hosting provider, leaving me to do programming stuff.

Any downsides of this approach?

- Keith

> 
> And as I have heard before, 'cloud' just means someone else's
> computer.
> 
> On Sun, Jun 8, 2025 at 10:15 PM Keith Smith via PLUG-discuss
> <[email-masked]> wrote:
> 
>> Hi,
>> 
>> Currently I am running Kubuntu on a 10 year old Dell that I upgraded
>> to
>> 16GB of RAM (Years ago) and an SSD drive.
>> 
>> I have an old laptop running Win10 that came with a NVMe SSD and I
>> have
>> since upgraded to 16G of RAM and I added a 500G laptop hard drive (I
>> 
>> have several just laying around).
>> 
>> On the Win box I installed VirtualBox  which allows me to create
>> different vhosts (lamp).  I also use the Win box for recording
>> videos as
>> well editing.
>> 
>> I wrote an Amazon S3 PHP SDK script that allows me to backup my
>> production websites.
>> 
>> I was thinking at some point in the future I was going to build a
>> monster computer to do all these things.
>> 
>> Now I am thinking I can buy a simple shared hosting account and
>> offload
>> the VBox. I can make a subdomain for each of my projects and
>> configure
>> my Amazon S3 PHP SDK script to backup each project
>> 
>> I still need to record and edit videos.
>> 
>> I'm thinking I only need a simple laptop at that point - 4 cores,
>> 32G of
>> RAM, and an SSD drive, running Kubuntu.
>> 
>> Your Thoughts?
>> 
>> - Keith
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> 
> --
> A mouse trap, placed on top of your alarm clock, will prevent you from
> rolling over and going back to sleep after you hit the snooze button.
> 
> Stephen
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss